Bug 208072 - lang/php56 another file size php-5.5.x-mail-header.patch
Summary: lang/php56 another file size php-5.5.x-mail-header.patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-16 20:29 UTC by Vladislav V. Prodan
Modified: 2016-05-30 19:29 UTC (History)
8 users (show)

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladislav V. Prodan 2016-03-16 20:29:57 UTC
When adding MAILHEAD options revealed that the size of the file php-5.5.x-mail-header.patch changed.

=> Attempting to fetch http://choon.net/opensource/php/php-5.5.x-mail-header.patch
fetch: http://choon.net/opensource/php/php-5.5.x-mail-header.patch: size mismatch: expected 3379, actual 4426


In addition, there is a patch for the php-5.5.x-mail-header.patch.
https://www.ihead.ru/users/files/php/mail/php5618_ext_standard_mail.c.patch

More, in Russian link - http://www.koscheev.ru/nazlobu/?n=203
Comment 1 everytrash 2016-03-26 21:31:17 UTC
212 ===>  Found saved configuration for php56-5.6.10
213 => php-5.6.19.tar.bz2 doesn't seem to exist in /portdistfiles/.
214 => Attempting to fetch http://dk1.php.net/distributions/php-5.6.19.tar.bz2
215 fetch: http://dk1.php.net/distributions/php-5.6.19.tar.bz2: No address record
216 => Attempting to fetch http://de.php.net/distributions/php-5.6.19.tar.bz2
217 php-5.6.19.tar.bz2                                       0  B    0  Bps
218 => php-5.5.x-mail-header.patch doesn't seem to exist in /portdistfiles/.
219 => Attempting to fetch http://choon.net/opensource/php/php-5.5.x-mail-header.patch
220 fetch: http://choon.net/opensource/php/php-5.5.x-mail-header.patch: size mismatch: expected 3379, actual 4426
221 => Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/php-5.5.x-mail-header.patch
222 fetch: http://distcache.FreeBSD.org/ports-distfiles/php-5.5.x-mail-header.patch: Not Found
223 => Couldn't fetch it - please try to retrieve this
224 => port manually into /portdistfiles/ and try again.
225 *** Error code 1
Comment 2 uros 2016-04-05 21:49:34 UTC
Are we waiting for something? I can provide a patch if necessary.
Comment 3 spork 2016-04-07 19:18:37 UTC
Just a note, this also applies to lang/php55:

=> php-5.5.x-mail-header.patch doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://choon.net/opensource/php/php-5.5.x-mail-header.patch
fetch: http://choon.net/opensource/php/php-5.5.x-mail-header.patch: size mismatch: expected 3379, actual 4426
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/php-5.5.x-mail-header.patch
fetch: http://distcache.FreeBSD.org/ports-distfiles/php-5.5.x-mail-header.patch: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** [do-fetch] Error code 1

Stop in /usr/ports/lang/php55.
====>> Cleaning up wrkdir
===>  Cleaning for php55-5.5.34
Comment 4 spork 2016-04-07 19:35:43 UTC
Is there anything to do here other than updating distinfo?

The current site for all the patches is here:

http://choon.net/opensource/php/

For lang/php55 simply altering distinfo with new info results in a successful build:

SHA256 (php-5.5.x-mail-header.patch) = f510672c4bf2c228e4d8c7837e16a82169de82139dcf33fafce51e9e55a1b9ed
SIZE (php-5.5.x-mail-header.patch) = 4426

I'm not sure we want to move to the Russian version without having some discussion somewhere, the patch they supply at ihead.ru does differ from the current choon.net patch.
Comment 5 uros 2016-04-08 19:10:43 UTC
I would stay with existing patches and update distinfo. But also checking Russian code is cleaned and commented. 

The only difference is this if statement

if (PG(http_globals)[TRACK_VARS_SERVER]) {
Comment 6 Christos Chatzaras 2016-04-09 11:16:14 UTC
Any news about this?
Comment 7 cybermerlin 2016-04-10 12:01:59 UTC
for fixing:
lang/php56/Makefile
line 66
	PATCHFILES+=    php-5.6.x-mail-header.patch:mail


lang/php56/distinfo
line 3
	SHA256 (php-5.6.x-mail-header.patch) = bce41da2b27a7f6abf48e15e49b54379a2e47f2586a8a4ef7a7f3f4815e15ede
	SIZE (php-5.6.x-mail-header.patch) = 4426
Comment 8 Christos Chatzaras 2016-04-12 09:45:29 UTC
For now you can do:

cd /usr/ports/lang/php55 && make makesum

and then upgrade as usual.
Comment 9 commit-hook freebsd_committer 2016-05-28 01:42:20 UTC
A commit references this bug:

Author: junovitch
Date: Sat May 28 01:41:36 UTC 2016
New revision: 415971
URL: https://svnweb.freebsd.org/changeset/ports/415971

Log:
  lang/php56: update 5.6.21 -> 5.6.22 [1] plus minor fixup

  - Fix MAILHEAD patch to match the new version of the patch. The distinfo
    currently matches the php-5.5.x-mail-header.patch.old patch. [2]

  PR:		209779 [1]
  PR:		208072 [2]
  Reported by:	Fabiano Sidler <fabianosidler@swissonline.ch> [1]
  Reported by:	Vladislav V. Prodan <admin@support.od.ua> [2]
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2013-7456
  Security:	CVE-2016-5093
  Security:	CVE-2016-5094
  Security:	CVE-2016-5096
  Security:	https://vuxml.FreeBSD.org/freebsd/6b110175-246d-11e6-8dd3-002590263bf5.html
  MFH:		2016Q2

Changes:
  head/lang/php56/Makefile
  head/lang/php56/distinfo
Comment 10 commit-hook freebsd_committer 2016-05-28 01:48:31 UTC
A commit references this bug:

Author: junovitch
Date: Sat May 28 01:48:23 UTC 2016
New revision: 415973
URL: https://svnweb.freebsd.org/changeset/ports/415973

Log:
  MFH: r415304 r415818 r415970 r415971 r415972

  - Really fix ZTS build with pthreads, required by threaded apache24
  - Bump PORTREVISION due to dependency on thread library

  Approved by:	miwi (mentor)

  Simplify plist by using @sample

  lang/php70: update 7.0.6 -> 7.0.7

  Approved by:	ports-secteam (with hat)
  Security:	CVE-2013-7456
  Security:	CVE-2016-5093
  Security:	https://vuxml.FreeBSD.org/freebsd/6b110175-246d-11e6-8dd3-002590263bf5.html

  lang/php56: update 5.6.21 -> 5.6.22 [1] plus minor fixup

  - Fix MAILHEAD patch to match the new version of the patch. The distinfo
    currently matches the php-5.5.x-mail-header.patch.old patch. [2]

  PR:		209779 [1]
  PR:		208072 [2]
  Reported by:	Fabiano Sidler <fabianosidler@swissonline.ch> [1]
  Reported by:	Vladislav V. Prodan <admin@support.od.ua> [2]
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2013-7456
  Security:	CVE-2016-5093
  Security:	CVE-2016-5094
  Security:	CVE-2016-5096
  Security:	https://vuxml.FreeBSD.org/freebsd/6b110175-246d-11e6-8dd3-002590263bf5.html

  lang/php55: update 5.5.35 -> 5.5.36 [1] plus minor fixups

  - Fix MAILHEAD patch to match the new version of the patch. The distinfo
    currently matches the php-5.5.x-mail-header.patch.old patch. [2]
  - Fix regression from r415818's conversion to @sample by installing
    the default php-fpm.conf under ${LOCALBASE}/etc and not ${LOCALBASE}

  PR:		209779 [1]
  PR:		208073 [2]
  Reported by:	Fabiano Sidler <fabianosidler@swissonline.ch> [1]
  Submitted by:	Paulo Henrique <paulo.oliveira@protonmail.ch> [2]
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2013-7456
  Security:	CVE-2016-4343
  Security:	CVE-2016-5093
  Security:	CVE-2016-5094
  Security:	CVE-2016-5096
  Security:	https://vuxml.FreeBSD.org/freebsd/6b110175-246d-11e6-8dd3-002590263bf5.html

Changes:
_U  branches/2016Q2/
  branches/2016Q2/lang/php55/Makefile
  branches/2016Q2/lang/php55/distinfo
  branches/2016Q2/lang/php55/pkg-plist
  branches/2016Q2/lang/php56/Makefile
  branches/2016Q2/lang/php56/distinfo
  branches/2016Q2/lang/php56/pkg-plist
  branches/2016Q2/lang/php70/Makefile
  branches/2016Q2/lang/php70/distinfo
  branches/2016Q2/lang/php70/pkg-plist
Comment 11 Jason Unovitch freebsd_committer 2016-05-28 01:56:54 UTC
Hi. The distinfo has been fixed to address QA during the recent security releases for this port.  If you are still having issues please report it here.  If you wish to request the maintainer switch the MAILHEAD option to use another third party patch as discussed in comment #0 and comment #4 I would recommend opening a PR with that specific subject for the maintainer to review. Thanks.
Comment 12 cybermerlin 2016-05-29 08:43:09 UTC
(In reply to Jason Unovitch from comment #11)
need use path for 5.6 from comment #7
current path not working
Comment 13 Jason Unovitch freebsd_committer 2016-05-29 12:23:04 UTC
(In reply to cybermerlin from comment #12)
The patches are identical except for metadata:

--- php-5.5.x-mail-header.patch 2016-03-15 03:19:26.000000000 +0000
+++ php-5.6.x-mail-header.patch 2016-03-15 03:24:26.000000000 +0000
@@ -1,6 +1,6 @@
-From 930f6b462f11d0b8f933268fb25f40517ec3ad36 Mon Sep 17 00:00:00 2001
+From be302d31a4b37eadeeb6a1386027931af776bfa1 Mon Sep 17 00:00:00 2001
 From: Giam Teck Choon <giamteckchoon@gmail.com>
-Date: Tue, 15 Mar 2016 11:18:50 +0800
+Date: Tue, 15 Mar 2016 11:24:26 +0800
 Subject: [PATCH] PHP mail() header patch
 
 This is a patch to add an informational header to messages sent from PHP via
@@ -42,7 +42,7 @@
  1 file changed, 40 insertions(+)
 
 diff --git a/ext/standard/mail.c b/ext/standard/mail.c
-index 17c09db..73b4f4f 100644
+index 8da0872..763668d 100644
 --- a/ext/standard/mail.c
 +++ b/ext/standard/mail.c
 @@ -334,6 +334,42 @@ PHPAPI int php_mail(char *to, char *subject, char *message, char *headers, char
Comment 14 cybermerlin 2016-05-30 14:54:32 UTC
ok
any comment about:
===>  Found saved configuration for mod_php56-5.6.19
===>   mod_php56-5.6.22 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by mod_php56-5.6.22 for building
===>  Extracting for mod_php56-5.6.22
=> SHA256 Checksum OK for php-5.6.22.tar.bz2.
=> No SHA256 checksum recorded for php-5.6.x-mail-header.patch.
=> No suitable checksum found for php-5.6.x-mail-header.patch.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/www/mod_php56
*** Error code 1

Stop.
make: stopped in /usr/ports/www/mod_php56
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20160530-52941-5k0ywg env UPGRADE_TOOL=portupgrade UPGRADE_PORT=mod_php56-5.6.20 UPGRADE_PORT_VER=5.6.20 make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! www/mod_php56 (mod_php56-5.6.20)      (unknown build error)
Comment 15 cybermerlin 2016-05-30 14:56:44 UTC
(In reply to cybermerlin from comment #14)
wait please... I update ports in manual mode
I write later
Comment 16 cybermerlin 2016-05-30 19:29:06 UTC
all right. good work